Skip to main content
`Ctrl`+`K`

# numpy.random.BitGenerator

class numpy.random.BitGenerator(seed=None)

  Base Class for generic BitGenerators, which provide a stream of random bits based on different algorithms. Must be overridden.

  Parameters:
    seed{None, int, array_like[ints], SeedSequence}, optional

      A seed to initialize the `BitGenerator`. If None, then fresh, unpredictable entropy will be pulled from the OS. If an `int` or `array_like[ints]` is passed, then it will be passed to `SeedSequence` to derive the initial `BitGenerator` state. One may also pass in a `SeedSequence` instance. All integer values must be non-negative.

  Attributes:
    lock threading.Lock

      Lock instance that is shared so that the same BitGenerator can be used in multiple Generators without corrupting the state. Code that generates values from a bit generator should hold the bit generator’s lock.

  Methods

  `random_raw`(self[, size]) | Return randoms as generated by the underlying BitGenerator
  `spawn`(n_children) | Create new independent child bit generators.

  See also

  `SeedSequence`